## org.eclipse.datatools.modelbase.sql.schema.helper
Class SchemaHelper

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.schema.helper.SchemaHelper

    public class SchemaHelper

extends java.lang.Object

Author:
  ckadner Helper to provide convenience methods that are related to `Schema`.

Constructor Summary
`SchemaHelper()`

Method Summary
`static Table` `findTable(Schema schema, java.lang.String tableName)` Finds a `Table` by its name in a given `Schema`, the given `tableName` is not case sensitive.
`static java.util.List` `getTables(Schema schema)` Retrieves all persistent tables in a given Schema.
`static java.util.List` `getViews(Schema schema)` Retrieves all views in a given Schema.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaHelper

    public SchemaHelper()

Method Detail

### findTable

    public static Table findTable(Schema schema,
                                  java.lang.String tableName)

  Finds a `Table` by its name in a given `Schema`, the given `tableName` is not case sensitive. Look at `DatabaseHelper.findSchema(Database, String)` to see how the `Schema` can be found in a `Database`.

  Parameters:
    `schema` - the `Schema` to find a `Table` in
    `tableName` - the String name of the `Table` to find
  Returns:
    the `Table` found or null
  Throws:
    `java.lang.NullPointerException` - if given `schema` or given `tableName` is `null`

### getTables

    public static java.util.List getTables(Schema schema)

  Retrieves all persistent tables in a given Schema.

### getViews

    public static java.util.List getViews(Schema schema)

  Retrieves all views in a given Schema.